
//theme file structure

#define G_SCREEN_W      40
#define G_SCREEN_H      28

typedef struct {
    u8 shading;
    u8 bar_style;
    u8 scrl_h_mode;
    u8 scrl_v_mode;
    u8 user_font;//use user font
    u8 reserved[75];
    s8 scrl_h_spd[G_SCREEN_H];
    s8 scrl_v_spd[G_SCREEN_W / 2];
} ThemeCfg;

typedef struct {
    ThemeCfg cfg;
    u16 pal[16 * 4];//palettes
    u16 tmap[64 * 32];//tilemap
    u8 font[8192];
    u8 tileset[320 * 224 / 2];//tileset bitmap
} Theme;